Bug 66101 - FILEOPEN: [Writer] lowriter crashed when trying to open .docx file
Summary: FILEOPEN: [Writer] lowriter crashed when trying to open .docx file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: All All
: medium critical
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.2.0 target:4.1.0.2 targe...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-23 22:46 UTC by Artem
Modified: 2013-06-29 07:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
console + bt with symbols on master sources (81.87 KB, text/plain)
2013-06-26 20:26 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Artem 2013-06-23 22:46:20 UTC
Problem description: 
lowriter crashed when trying to open .docx file
Steps to reproduce:
1. Goto https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1193316
2. Check all needed information

Current behavior: crashed when trying to open .docx file

Expected behavior: open it normally.

Sorry for not being very informative, but I've already created another ticket on launchpad.

              
Operating System: Ubuntu
Version: 4.0.2.2 release
Comment 1 retired 2013-06-24 08:38:58 UTC
The file in question (https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1193316/+attachment/3708847/+files/VychMat.docx) opens fine for me with LO 4.1.0.1 on OS X 10.8.4.

Artem: Could you please re-try with the latest LO release and see if that works for you: http://www.libreoffice.org/download/pre-releases/

After trying please set this bug back to "unconfirmed" should it still be crashing for you. If it is fixed, please set the bug to "RESOLVED - WORKSFORME".
Comment 2 Artem 2013-06-25 21:08:31 UTC
I tried to install latest libreoffice from LibreOffice_4.1.0.1_Linux_x86-64_deb and had some problems during "sudo dpkg -i *.deb":

Rebuilding /usr/share/applications/bamf-2.index...
Обрабатываются триггеры для desktop-file-utils …
Обрабатываются триггеры для gnome-menus …
Обрабатываются триггеры для shared-mime-info …
/usr/share/mime/packages/libreoffice4.1.xml:1419: parser error : EntityRef: expecting ';'
    <comment xml:lang="mn">&Microsoft Word Баримтууд</comment>
                                     ^
/usr/share/mime/packages/libreoffice4.1.xml:1439: parser error : EntityRef: expecting ';'
    <comment xml:lang="sa-IN">&Microsoft Word लेखपत्रम्</comme
                                        ^
/usr/share/mime/packages/libreoffice4.1.xml:1532: parser error : EntityRef: expecting ';'
    <comment xml:lang="mn">&Microsoft Word Баримтууд</comment>
                                     ^
/usr/share/mime/packages/libreoffice4.1.xml:1552: parser error : EntityRef: expecting ';'
    <comment xml:lang="sa-IN">&Microsoft Word लेखपत्रम्</comme
                                        ^
/usr/share/mime/packages/libreoffice4.1.xml:1645: parser error : EntityRef: expecting ';'
    <comment xml:lang="mn">&Microsoft Word Баримтууд</comment>
                                     ^
/usr/share/mime/packages/libreoffice4.1.xml:1665: parser error : EntityRef: expecting ';'
    <comment xml:lang="sa-IN">&Microsoft Word लेखपत्रम्</comme
                                        ^
/usr/share/mime/packages/libreoffice4.1.xml:4247: parser error : EntityRef: expecting ';'
    <comment xml:lang="mn">&Microsoft Word Баримтууд</comment>
                                     ^
/usr/share/mime/packages/libreoffice4.1.xml:4267: parser error : EntityRef: expecting ';'
    <comment xml:lang="sa-IN">&Microsoft Word लेखपत्रम्</comme
                                        ^
Failed to parse '/usr/share/mime/packages/libreoffice4.1.xml'
При обработке следующих пакетов произошли ошибки:
 libobasis4.1-kde-integration_4.1.0.1-1_amd64.deb
kroartem@kroartem-desktop:~/Загрузки/LibreOffice_4.1.0.1_Linux_x86-64_deb/DEBS$ cd desktop-integration
bash: cd: desktop-integration: No such file or directory
Comment 3 Christopher M. Penalver 2013-06-26 11:21:48 UTC
Reproducible in:
Version: 4.1.0.1
Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155
Microsoft Windows Vista Business x86 6.0.6002 Service Pack 2 Build 6002

What is expected to happen in Writer via a terminal:
cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1193316/+attachment/3708847/+files/VychMat.docx && lowriter --nologo VychMat.docx

is it opens successfully.

What happens instead is it crashes consistently.

Artem, regarding your comments:
>"Sorry for not being very informative, but I've already created another ticket on launchpad."

That's not how it works. In the future, one would want to input the same, step-by-step instructions with appropriate attachment(s), as previously requested of you in https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1193316/comments/5 , or risk the report being flagged as INCOMPLETE, or at the very least, ignored.

Thank you for your understanding.
Comment 4 Julien Nabet 2013-06-26 20:26:31 UTC
Created attachment 81505 [details]
console + bt with symbols on master sources

On pc Debian x86-64 with master sources updated today + brand new LO profile I reproduced the crash.

I attached console logs + bt
Comment 5 Julien Nabet 2013-06-26 20:33:21 UTC
Just for information, I submitted a patch to review, see https://gerrit.libreoffice.org/#/c/4550/
Comment 6 Commit Notification 2013-06-28 09:31:27 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=296c2af27a189e8406957ac44eb412ec3f9a74fd

fdo#66101: lowriter crashed when trying to open .docx file



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-06-29 07:52:52 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7af9fea258fe9429d0ff06a705fe294eb36d1c86&h=libreoffice-4-1

fdo#66101: lowriter crashed when trying to open .docx file


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-06-29 07:53:31 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=213f32fc9839fce3b01af938293eca331b544dd3&h=libreoffice-4-0

fdo#66101: lowriter crashed when trying to open .docx file


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.